<?php
namespace Claromentis\Pages\UseCase;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array();
use Claromentis\Pages\Model\PageUrl;
use Claromentis\Pages\Repository\PagesRepository;






class SetWidth
{
    
    
    
    
    private PagesRepository $pages_repo;
    public function __construct(PagesRepository $pages_repo)
    {
        $this->pages_repo = $pages_repo;
    }
    
    
    
    
    
    
    
    
    
    
    
    public function SetPageWidth(PageUrl $page_url, int $_04d4c7c53cd9c5c6b63bbd6e83c35069, $_3877cdf57a61e49b56aeab7af930ee82)
    {
        $_221da17e3055fae8d3ff516b832a5f3b = $this->pages_repo->GetWorkingCopy($page_url->id, $_3877cdf57a61e49b56aeab7af930ee82);
        $_221da17e3055fae8d3ff516b832a5f3b->SetWidth($_04d4c7c53cd9c5c6b63bbd6e83c35069);
        $this->pages_repo->Save($_221da17e3055fae8d3ff516b832a5f3b);
    }
}